/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.addons.netviewer;

import org.apache.commons.collections15.Transformer;

/**
 * Adds a ToolTip to a vertex
 * @author Jens Einloft
 */
public class EdgeToolTipTransformer implements Transformer<NetViewerEdge, String> {

    public String transform(NetViewerEdge e) {
        if(e.hasProperty("toolTip"))
            return e.getProperty("toolTip");
        return null;
    }

}
