/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.addons.netviewer;
import monalisa.data.pn.TInvariant;

/**
 * Wrapper Class for Mcts Combobox Items
 * @author Jens Einloft
 */
public class MctsWrapper {
    private TInvariant tinv;

    public MctsWrapper(TInvariant input) {
        this.tinv = input;
    }

    public TInvariant getMcts() {
        return tinv;
    }    
    
    @Override
    public String toString() {
        return "MCT-Set "+(this.tinv.id()+1)+" ("+this.tinv.size()+")";
    }
}
